--- src/apps/common/hiredis_libevent2.h.orig	2019-03-02 21:06:19 UTC
+++ src/apps/common/hiredis_libevent2.h
@@ -50,7 +50,7 @@ typedef void* redis_context_handle;
 
 void redis_async_init(void);
 
-redis_context_handle redisLibeventAttach(struct event_base *base, char *ip, int port, char *pwd, int db);
+redis_context_handle redisLibeventAttach(struct event_base *base, char *ip, int port, char *pwd, char *usocket, int db);
 
 void send_message_to_redis(redis_context_handle rch, const char *command, const char *key, const char *format,...);
 
